Accounts
Get Account
Get an account with its members
GET
/
api
/
v1
/
accounts
/
{externalId}
Get Account
curl --request GET \
--url https://api.sequenzy.com/api/v1/accounts/{externalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/accounts/{externalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/accounts/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"account": {
"id": "acc_abc123",
"externalId": "org_123",
"name": "Acme",
"domain": "acme.com",
"attributes": { "plan": "pro", "seats": 5 },
"memberCount": 2,
"lastEventAt": "2026-09-04T09:00:00.000Z",
"createdAt": "2026-08-01T10:00:00.000Z",
"updatedAt": "2026-09-04T09:00:00.000Z"
},
"members": [
{ "id": "mem_1", "accountId": "acc_abc123", "subscriberId": "sub_1", "role": "owner", "email": "jane@acme.com", "externalId": "user_1", "firstName": "Jane", "lastName": null, "status": "active", "createdAt": "2026-08-01T10:00:00.000Z" },
{ "id": "mem_2", "accountId": "acc_abc123", "subscriberId": "sub_2", "role": "member", "email": "bob@acme.com", "externalId": null, "firstName": null, "lastName": null, "status": "active", "createdAt": "2026-08-02T10:00:00.000Z" }
]
}
{ "success": false, "error": "Account not found" }
{ "success": false, "error": "Unauthorized" }
Get Account
Returns the account and up to 100 members, owners first. URL-encode external IDs that contain slashes.Request
string
required
Your organization ID.
curl "https://api.sequenzy.com/api/v1/accounts/org_123" \
-H "Authorization: Bearer API_KEY"
Responses
{
"success": true,
"account": {
"id": "acc_abc123",
"externalId": "org_123",
"name": "Acme",
"domain": "acme.com",
"attributes": { "plan": "pro", "seats": 5 },
"memberCount": 2,
"lastEventAt": "2026-09-04T09:00:00.000Z",
"createdAt": "2026-08-01T10:00:00.000Z",
"updatedAt": "2026-09-04T09:00:00.000Z"
},
"members": [
{ "id": "mem_1", "accountId": "acc_abc123", "subscriberId": "sub_1", "role": "owner", "email": "jane@acme.com", "externalId": "user_1", "firstName": "Jane", "lastName": null, "status": "active", "createdAt": "2026-08-01T10:00:00.000Z" },
{ "id": "mem_2", "accountId": "acc_abc123", "subscriberId": "sub_2", "role": "member", "email": "bob@acme.com", "externalId": null, "firstName": null, "lastName": null, "status": "active", "createdAt": "2026-08-02T10:00:00.000Z" }
]
}
{ "success": false, "error": "Account not found" }
{ "success": false, "error": "Unauthorized" }
⌘I
Get Account
